diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index a89816d..1b45068 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -152268,8 +152268,27 @@ TranscendentalManipulations(R, F): Exports == Implementation where
         rule(sin(XX)*sin(YY),(cos(XX-YY)-cos(XX+YY))/2::F)
       cosCosRule : RewriteRule(R,R,F) :=
         rule(cos(XX)*cos(YY),(cos(XX-YY)+cos(XX+YY))/2::F)
+      sinhSum : RewriteRule(R,R,F) :=
+        rule(sinh(XX+YY),(sinh(XX)*cosh(YY)+cosh(XX)*sinh(YY))::F)
+      coshSum : RewriteRule(R,R,F) :=
+        rule(cosh(XX+YY),(cosh(XX)*cosh(YY)+sinh(XX)*sinh(YY))::F)
+      tanhSum : RewriteRule(R,R,F) :=
+        rule(tanh(XX+YY),((tanh(XX)+tanh(YY))/(1+tanh(XX)*tanh(YY)))::F)
+      cothSum : RewriteRule(R,R,F) :=
+        rule(coth(XX+YY),((coth(XX)*coth(YY)+1)/(coth(YY)+coth(XX)))::F)
+      sinhpsinh : RewriteRule(R,R,F) :=
+        rule(sinh(XX)+sinh(YY),(2*sinh(1/2*(XX+YY))*cosh(1/2*(XX-YY)))::F)
+      sinhmsinh : RewriteRule(R,R,F) :=
+        rule(sinh(XX)-sinh(YY),(2*cosh(1/2*(XX+YY))*sinh(1/2*(XX-YY)))::F)
+      coshpcosh : RewriteRule(R,R,F) :=
+        rule(cosh(XX)+cosh(YY),(2*cosh(1/2*(XX+YY))*cosh(1/2*(XX-YY)))::F)
+      coshmcosh : RewriteRule(R,R,F) :=
+        rule(cosh(XX)-cosh(YY),(2*sinh(1/2*(XX+YY))*sinh(1/2*(XX-YY)))::F)
       expandTrigProducts(e:F):F ==
-        applyRules([sinCosRule,sinSinRule,cosCosRule],e,10)$ApplyRules(R,R,F)
+        applyRules([sinCosRule,sinSinRule,cosCosRule,
+                    sinhSum,coshSum,tanhSum,cothSum,
+                    sinhpsinh,sinhmsinh,coshpcosh,
+                    coshmcosh],e,10)$ApplyRules(R,R,F)
 
     logArgs(l:List F):F ==
       -- This function will take a list of Expressions (implicitly a sum) and
diff --git a/changelog b/changelog
index 9b0d43c..8cfbeaa 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20130124 tpd src/axiom-website/patches.html 20130124.02.tpd.patch
+20130124 tpd books/bookvol10.4 expand hyperbolic identities
 20130124 tpd src/axiom-website/patches.html 20130124.01.tpd.patch
 20120124 tpd books/bookvol10.4 document htrigs function in TRMANIP
 20130123 tpd src/axiom-website/patches.html 20130123.03.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index b6faeb7..ff185ed 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3957,5 +3957,7 @@ src/doc/endpaper fixed format
 src/Makefile clean up src/algebra properly
 <a href="patches/20130124.01.tpd.patch">20130124.01.tpd.patch</a>
 books/bookvol10.4 document htrigs function in TRMANIP
+<a href="patches/20130124.02.tpd.patch">20130124.02.tpd.patch</a>
+books/bookvol10.4 expand hyperbolic identities
  </body>
 </html>
